package com.mmc.csf.release.dao;

import com.mmc.csf.release.entity.RequirementsInfoDO;
import com.mmc.csf.release.entity.RequirementsTypeDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author: zj
 * @Date: 2023/5/18 14:27
 */
@Mapper
public interface RequirementsDao {
    /**
     * 需求类型列表
     * @return
     */
    List<RequirementsTypeDO> listType();

    /**
     * 添加需求
     * @param requirementsInfoDO
     */
    void addRequirementsInfo(RequirementsInfoDO requirementsInfoDO);

    /**
     * 获取需求
     * @param requirementsInfoId
     */
    RequirementsInfoDO getRequirementsInfoById(Integer requirementsInfoId);

    /**
     * 解决需求
     * @param requirementsInfoId
     */
    void solveRequire(Integer requirementsInfoId);
}
